package tmaestroplayer.template;

import java.awt.Component;
import java.awt.event.WindowListener;
import java.util.Vector;

public abstract class TemplateComponentsXML {

	protected TemplateComponent mainComponent;
	
	public TemplateComponentsXML(String xmlfilename) {
		mainComponent = initTemplateComponents(xmlfilename);
	}
	
	protected abstract TemplateComponent initTemplateComponents(String xmlfilename);
	public abstract Component getVisualTemplateComponent();
	public abstract void setUp();
	
	public String toString() {
		return mainComponent.toString();
	}

}
